<div class="container edit-invoice">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 ng-if="editInvoiceCtrl.invoceData.id">Edit Invoice</h3>
            <h3 ng-if="!editInvoiceCtrl.invoceData.id">Add Invoice</h3>
        </div>
        <div class="panel-body">
            <div ng-if="editInvoiceCtrl.isLoading">
                <i class="fa fa-spinner fa-pulse"></i>
            </div>
            <div ng-if="!editInvoiceCtrl.isLoading">
                <div class="col-xs-12 mt10" ng-if="editInvoiceCtrl.errorMsg">
                    <div uib-alert ng-class="'alert-danger'" class="margin5">{{editInvoiceCtrl.errorMsg}}</div>
                </div>
                <div ng-if="!editInvoiceCtrl.errorMsg">
                    <form name="editinvoiceform" novalidate class="form-horizontal">
                        <div class="form-group">
                            <div class="col-sm-2">
                                <label class="control-label">Customer</label>
                            </div>
                            <div class="col-sm-10">
                                <select ng-model="editInvoiceCtrl.invoceData.customer_id" class="form-control" ng-change="editInvoiceCtrl.saveInvoice()" ng-options='customer.id as customer.name for customer in editInvoiceCtrl.customers'>
                                    <option value="">Select Customer</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-2">
                                <label class="control-label">Products</label>
                            </div>
                            <div class="col-sm-10 ">
                                <button type="button" class="btn btn-primary" ng-click="editInvoiceCtrl.addProducts()">
                                    Add products
                                </button>
                                <div class="well well-sm selected-products">
                                    <div class="empty-text" ng-if="!editInvoiceCtrl.invoceData.products.length">
                                        Please add some products
                                    </div>
                                    <div ng-repeat="product in editInvoiceCtrl.invoceData.products" class="row product-row ml-0 mr-0">
                                        <div class="col-sm-1">
                                            #{{$index+1}}
                                        </div>
                                        <div class="col-sm-8">
                                            <select ng-model="product.product_id" class="form-control" ng-change="editInvoiceCtrl.editProduct($index)" ng-options='product.id as product.name for product in editInvoiceCtrl.products'>
                                                <option value="">Select product</option>
                                            </select>
                                        </div>
                                        <div class="col-sm-2">
                                            <input type="number" ng-change="editInvoiceCtrl.editProduct($index)" ng-model="product.quantity" placeholder="Add quantity" class=" form-control" />
                                        </div>
                                        <div class="col-sm-1 text-right">
                                            <button class="btn btn-default btn-sm" ng-click="editInvoiceCtrl.removeProduct($index)">
                                                <span class="fa fa-times" title="Remove product"></span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-2">
                                <label class="control-label">Discount</label>
                            </div>
                            <div class="col-sm-10">
                                <input type="number" ng-model="editInvoiceCtrl.invoceData.discount" ng-change="editInvoiceCtrl.saveInvoice()" placeholder="Add discount" class="form-control">
                            </div>
                        </div>
                        <div class="form-group total-row">
                            <div class="col-sm-2">
                                <label class="control-label">Total</label>
                            </div>
                            <div class="col-sm-10">
                                <div class="total-amount-label">{{editInvoiceCtrl.getTotal()| currency:"$"}}
                                <span class="text-muted">
                                  &nbsp;
                                  <i class="fa" ng-class="{'fa-spinner': editInvoiceCtrl.isSaving, 'fa-check': editInvoiceCtrl.saveSuccess, 'fa-warning': editInvoiceCtrl.saveFailed}"></i>
                                  <span>{{editInvoiceCtrl.isSaving ? 'saving..' : (editInvoiceCtrl.saveSuccess ? 'saved' : (editInvoiceCtrl.saveFailed ? 'Failed to save' : ''))}}</span>
                                </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>